Wednesday, May 23, 2018

Greasemonkey 4.4 Release

The entire list of bugs handled in this release is also available via the 4.4 milestone on GitHub. If you are using this version and notice problems, it's best to let us know at greasemonkey-dev (and be clear that it's with this version).

Fixed bugs:
  • Scripts with icons or resources could sometimes fail to save, including when only the enabled/disabled status changes. (#2909, #2943)
New features:
  • Script editor will prompt, when closing with unsaved edits. (#2886)
  • Support for backup and restore of installed scripts. (With very limited support for importing ViolentMonkey and TamperMonkey backups.) (#2747)
  • Many improvements to the Monkey Menu. (#2620, #2809, #2833, #2913)
This release version is actually "4.4.0" due to a user error with the Mozilla Add-ons site (and a subtle interface quirk it has).

6 comments:

Łukasz Świtaj said...
This comment has been removed by the author.
Zoinks said...

Might have mentioned that the export/import triggers a new permission request.

CodeAsm said...

This new permission request, why isnt it mentioned on the change log or anything public? I dont trust a addon that suddenly asks for more permisions. EIther ill keep the current version I run or remove the addon. please tell us the reason?

Metal said...

Please tell us why the update requires new permission requirements.

Mike Hicks said...

I would also like to know why this version needs new permissions.

Steven Borgo said...

Same here, as per, comments above. This better not be some kind of fishing scam or hack.